//
//  ContentGenerateUrlRepository.swift
//  SodaLive
//
//  Created by klaus on 12/17/24.
//

import CombineMoya
import Combine
import Moya

class ContentGenerateUrlRepository {
    private let api = MoyaProvider<ContentApi>()
    
    func generateUrl(contentId: Int) -> AnyPublisher<Response, MoyaError> {
        return api.requestPublisher(.generateUrl(contentId: contentId))
    }
}
